Bug Hunting Session
Bug 77590 - Make LO's Start Center thumbnail views available for use from within components
Summary: Make LO's Start Center thumbnail views available for use from within components
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 77453 89584 97422 99241 102294 105713 106582 (view as bug list)
Depends on:
Blocks: Start-Center 75644 UNO-Command-New
  Show dependency treegraph
 
Reported: 2014-04-17 19:31 UTC by David Parton
Modified: 2019-01-08 12:15 UTC (History)
22 users (show)

See Also:
Crash report or crash signature:


Attachments
MSO 2007 recent list (58.10 KB, image/png)
2015-04-25 17:09 UTC, Yousuf Philips (jay) (retired)
Details
MSO 2010 recent list (199.67 KB, image/png)
2015-05-01 20:01 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Parton 2014-04-17 19:31:39 UTC
ISSUE

We now have a really good, useful 'start screen' with thumbnails of latest documents, sheets, etc. plus good access to new and templates all from a nice looking dialog. 

However it is only available when you run LO for the first time, i.e. each time you start LO from scratch. 

FEATURE ENHANCEMENT REQUEST

The 'start screen' could be a good way for users to navigate around their documents, etc. I believe it would enhance LO considerably if this screen were available from a button on a toolbar allowing users to go back to it at any time.

RATIONALE

I use a fairly limited selection of documents, sheets, templates, etc., probably like lots of people. I know that I can access all this from the file menu and via existing buttons (and probably other ways I haven't found) but it would suit me to be able to go back to the 'start screen' to get everything all in one place. I believe that it would also help new users of LO.

LO's developers are looking to improve the UI and the 'start screen' has had a lot of love and development spent on it. This would increase functionality.
Comment 1 Cor Nouws 2014-04-17 22:18:40 UTC
Hi David,

(In reply to comment #0)

> However it is only available when you run LO for the first time, i.e. each
> time you start LO from scratch. 

Are you sure? When I close all document, LibreOffice remains active with just the start screen open..

thanks for describing your idea, By the way!
Cor
Comment 2 Cor Nouws 2014-04-17 22:19:17 UTC Comment hidden (obsolete)
Comment 3 David Parton 2014-04-18 14:03:46 UTC
You are right, closing the last document reveals the 'start screen'. I would want to be able to get to the screen without closing documents, e.g. to open a new one or look at a previous one.

Thanks for looking at the suggestion
David
Comment 4 V Stuart Foote 2014-04-20 16:10:41 UTC
Start Center and its thumbnail view representation of the Recent Documents menu listing is only visible on launch of LibreOffice, and then again when the last open document is closed without exiting LO. Otherwise the thumbnail views are not available.

Having implemented the Recent Documents listing as thumbnail views on the Start Center, it would be very useful to be able to return to that GUI listing at any point from any open LO component. Both to select/open an existing document, and to create a new document from the side menu.

Seems it could be handled from the main menu add a "Start Center" item, or a maybe as a new toolbar button on the Standard toolbar. 

Setting NEW, and assigning component UX-advise
Comment 5 Adolfo Jayme 2014-04-23 06:00:18 UTC
*** Bug 77453 has been marked as a duplicate of this bug. ***
Comment 6 V Stuart Foote 2014-07-01 20:56:28 UTC
*** Bug 80735 has been marked as a duplicate of this bug. ***
Comment 7 Yousuf Philips (jay) (retired) 2014-07-05 02:32:15 UTC
Glad i didnt submit a new bug report for this, as i thought about the same thing. :)

I dont think the standard toolbar needs to be cluttered with the button, as most users wont use the feature, IMHO, especially when the document they want inst already listed in the list, and when alot of users never actually get to the start center.
Comment 8 Shunesburg69 2014-07-05 12:36:07 UTC
I thought the same thing, but some people doesn't understand the utility of this feature.
However, it will be a good thing to acces on it anytime we want.
Comment 9 Nico Dorn 2014-07-20 10:07:57 UTC
I second that request!
Comment 10 Andy 2015-01-28 12:28:14 UTC
This enhancement is IMHO absolutely commendable. 
To say the truth, quite often I find myself in the incongruous situation where I close some files that I would actually leave open only to be able to get back again at the start screen, since this is the only way to have it back at the moment.
The LO start screen is actually a simple but effective graphical interface to speed up managing and editing documents, I could actually find no reason why it should be available ONLY when you open the first document, especially in a modular, multi-format app like LO.

Another proof that this would be sensible is the fact that most people I know who do not use LO keep on asking me why I do not go back to it when they look at me working with LO.

A toolbar button and/or a keyboard shortcut to visualize it at any time would be the perfect way to effectively use this already existing functionality at 100% capacity.
Comment 11 V Stuart Foote 2015-02-27 15:47:16 UTC
*** Bug 89584 has been marked as a duplicate of this bug. ***
Comment 12 Ahmad 2015-03-30 12:12:22 UTC
I assigned this issue to myself and I  am working on it.
Comment 13 Pedro 2015-04-11 16:41:29 UTC
+1 on this feature

It is a waste of an excellent interface that you can only use it once per session (unless you only work on one document at a time...)

A suggestion: assign Ctrl+\ (a fast left hand combination) to open a new Start Center and add to the menu under File > Open Start Center (possibly before Open)
Comment 14 Heiko Tietze 2015-04-11 18:25:27 UTC
It's quite hard to find a non-ASCII character that is easy accessibly from any keyboard layout. To get Ctrl+Backslash you have to press Strg+AltGr+ß on a German keyboard, for example. That's why application wide shortcuts (ctr+key) use only chars from A..Z. See as well bug #90546.
Comment 15 Yousuf Philips (jay) (retired) 2015-04-25 17:09:14 UTC
Created attachment 115096 [details]
MSO 2007 recent list
Comment 16 David Parton 2015-04-27 15:57:47 UTC
(In reply to Jay Philips from comment #15)
> Created attachment 115096 [details]
> MSO 2007 recent list

Thank you for your efforts, but this doesn't do what I wanted - which was a simple button to reopen the Start Centre.
Comment 17 Luke 2015-04-28 22:27:25 UTC
Jay,
The start center is a modern, beautiful UI design. It's easy to use for both tablets and desktops, while providing quick access to common features. Now, I understand that we want to keep the standard toolbar clean. But if anything belongs there, this is one of them. A nice LibreOffice icon on the far left would be an ideal way to access it. I would happily sacrifice "Export to PDF", "Print Preview", "Clone", "Insert Table", "Insert Field", "Insert Footnote", and  "Insert Endnote" ALL just to make room for a Start Center button. 

Yes, currently "alot of users never actually get to the start center." I almost never use it but that's precisely because of this bug, not because I don't want to. It's currently well hidden. If after a few major releases with this bug fixed, the UI metrics show that no-one is using it, I could see relegating it to the file menu. But for now we should place it front and center stage.
Comment 18 sunweb 2015-04-29 17:37:44 UTC
(In reply to Luke from comment #17)
> I would happily sacrifice
> "Export to PDF", "Print Preview", "Clone", "Insert Table", "Insert Field",
> "Insert Footnote", and  "Insert Endnote" ALL just to make room for a Start
> Center button. 

Woow, lets not go this far now won't we? As useful as new button would be i wouldn't sacrifice really useful stuff to work with tables or print preview. Besides there're plenty space left.
Comment 19 Yousuf Philips (jay) (retired) 2015-05-01 20:01:55 UTC
Created attachment 115247 [details]
MSO 2010 recent list

I was mistaken when i uploaded the other screenshot. :D

Might be useful to have it in the menu bar, similar to how MSO 2010/2013, so that its noticeable even when only the start center is open and possibly labeling it 'Home'.
Comment 20 Eric L. 2015-11-20 10:54:11 UTC
Reading through the comments, I get the impression that there are actually multiple points being addressed:

1. if a LO window / document is already open, the Start Center can't be opened, not even from the command line using 'libreoffice'. In this case, the existing window is raised and not a new window created for the Start Center.

2. have calling the Start Center available as a command / function (so that people can add themselves a menu point, shortcut or toolbar entry using the Tools -> Customize... dialog).

3. integration in the GUI, as default, through menu point, shortcut and/or toolbar icon.

Personally, I would really appreciate point 1 to be fixed, point 2 is less important to me but shouldn't break anything for anybody, and if point 3 isn't being implemented, then at least anybody can make it work for them as long as points 1 and 2 are implemented.

Does this make sense? Could points 1 and 2 be implemented even if point 3 isn't finally decided?
Comment 21 Maxim Monastirsky 2016-01-28 23:31:04 UTC
*** Bug 97422 has been marked as a duplicate of this bug. ***
Comment 22 V Stuart Foote 2016-04-12 14:56:31 UTC
*** Bug 99241 has been marked as a duplicate of this bug. ***
Comment 23 Robinson Tryon (qubit) 2016-08-25 05:49:38 UTC Comment hidden (obsolete)
Comment 24 Buovjaga 2016-10-08 19:29:19 UTC
*** Bug 102294 has been marked as a duplicate of this bug. ***
Comment 25 V Stuart Foote 2017-02-02 21:39:28 UTC
*** Bug 105713 has been marked as a duplicate of this bug. ***
Comment 26 andreas_k 2017-02-17 23:23:59 UTC
Is it possible to make an button to come to the start center? what's the .uno:xxx called?
Comment 27 andreas_k 2017-03-17 07:52:15 UTC
(In reply to Yousuf Philips (jay) from comment #19)
> Created attachment 115247 [details]
> MSO 2010 recent list
> 
> I was mistaken when i uploaded the other screenshot. :D
> 
> Might be useful to have it in the menu bar, similar to how MSO 2010/2013, so
> that its noticeable even when only the start center is open and possibly
> labeling it 'Home'.

I think the start center is way better than the ms thing. So please make it be available via .uno:
Comment 28 Shunesburg69 2017-03-17 22:16:49 UTC Comment hidden (me-too)
Comment 29 V Stuart Foote 2017-03-18 00:47:44 UTC
*** Bug 106582 has been marked as a duplicate of this bug. ***
Comment 30 tommy27 2017-03-18 04:35:46 UTC
(In reply to andreas_k from comment #26)
> Is it possible to make an button to come to the start center? what's the
> .uno:xxx called?

+1. added to UNO-Command metabug
Comment 31 Xisco Faulí 2017-07-13 10:41:24 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 32 Heiko Tietze 2017-11-28 13:44:32 UTC
Removing needsUX because there is much acceptance to this idea. Due to the number of duplicates and +1 comments the importance is higher than normal.
Comment 33 Shunesburg69 2017-12-01 21:38:54 UTC
It should be good to have this feature before the release of the 6.0 version.
Comment 34 V Stuart Foote 2017-12-01 22:22:23 UTC
(In reply to shunesburg69 from comment #33)
> It should be good to have this feature before the release of the 6.0 version.

6.0 is essentially feature complete. And as there has been no recent work on this feature it won't happen.

https://wiki.documentfoundation.org/ReleasePlan/6.0
Comment 35 Patrik 2017-12-06 09:25:20 UTC Comment hidden (off-topic)
Comment 36 Heiko Tietze 2017-12-06 09:38:44 UTC Comment hidden (off-topic)
Comment 37 Patrik 2017-12-08 07:22:14 UTC Comment hidden (off-topic)
Comment 38 andreas_k 2018-12-08 22:31:23 UTC
> (In reply to shunesburg69 from comment #33)
> > It should be good to have this feature before the release of the 6.0 version.
> 

any news about an uno command for show StartCenter?
Comment 39 Patrik 2019-01-04 21:07:24 UTC
I would also like to see this. StartCenter is useful, as it alows drag-and-drop of files from dolphin/nautius and opens the correct libreoffice component. It also shows the recent document list with previews. 

The bug is from 2014, there are duplicates. Some people seem to want it. It probably would take a programmer a very modest amount of time.

As it seems everything is already in place. There just should be a command line parameter for startcenter as there is for writer, calc and every other component.
Comment 40 Shunesburg69 2019-01-05 11:52:52 UTC
We need just an icon with the function to open the "Welcome window" (or "Start Center").
I'm pretty sure it's very easy to build, but without programming skill, it's a bit complicated.
Comment 41 andreas_k 2019-01-05 12:37:00 UTC
Whats the name of the uno command l will make the icons.
Comment 42 V Stuart Foote 2019-01-05 14:39:36 UTC
(In reply to Shunesburg69 from comment #40)
> We need just an icon with the function to open the "Welcome window" (or
> "Start Center").
> I'm pretty sure it's very easy to build, but without programming skill, it's
> a bit complicated.

(In reply to andreas_k from comment #41)
> Whats the name of the uno command l will make the icons.

This is not a simple "assign a button" fix!

There is no .UNO command to run this. And as the StartCenter is a module--backingwindow [1]--that interacts when launching any of the other modules, additional dev effort is needed to refactor interactions with modules already running.

It was added as a menu entry for macOS [2], but IRRC it does not integrate with other running modules.

=-ref-=
[1] https://opengrok.libreoffice.org/xref/core/sfx2/source/dialog/backingwindow.cxx

[2] https://opengrok.libreoffice.org/xref/core/sfx2/source/appl/shutdowniconaqua.mm?r=6f50961e#440
Comment 43 Luke 2019-01-05 19:24:22 UTC
Jan,
The Start Center was your brainchild. Do you have any thoughts on how this could be implemented?
Comment 44 Jan Holesovsky 2019-01-08 12:15:03 UTC
Unfortunately I've forgotten much of the stuff here; but quickly re-reading the code seems to indicate that:

CloseDispatcher::implts_establishBackingMode()

from framework/source/dispatch/closedispatcher.cxx is responsible for filling the window with the start center when it is the last window that is closed.

I hope it might be reasonably straight-forward to change the File -> New functionality in a way that it opens the Start center using similar stuff that is being done in the implts_establishBackingMode() (or even directly calling that instead of creating the new document right away).

Of course, up to the Design team to decide if the File -> New should be changed, or if this should be done as separate functionality; and then of course we need somebody to actually implement this...